export interface Options {
    /**
     * For each variable, docbits will look here for files with a base name
     * matching the variable name.
     * @default "_bits"
     */
    bitsDirName?: string;
    /**
     * Starting here, docbits will look in files for variables in the format
     * `${variable_name}`.
     * @default "./documents"
     */
    root?: string;
    /**
     * The resulting files will be written here, preserving the existing folder
     * structure.
     * @default "./dist/documents"
     */
    outputDir?: string;
}
export declare enum DefaultOptions {
    BitsDirName = "_bits",
    Root = "./documents",
    OutputDir = "./dist/documents"
}
/**
 * Replaces markdown bits in Markdown files that live within `${options.root}`.
 * Searches for bits that match the format `${bit-name}` with content
 * from `${options.bitsDirName}/${bit-name}.md` within the same folder.
 * @param options
 */
export declare function replaceBits({ bitsDirName, root, outputDir, }?: Options): Promise<void[]>;
